[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Adapting svnstsw to use Subversion's build system

From: Arfrever Frehtes Taifersar Arahesis <arfrever.fta_at_gmail.com>
Date: Thu, 8 May 2008 15:27:41 +0200

2008-05-07 10:02:58 Max Bowsher napisaƂ(a):
> Richard Hansen wrote:
> > Would you consider adding tests for C99 support to be moderate? That
> > would require upgrading autoconf to at least 2.60.
>
> It's just one (or a few) feature test macros, right? I'd be fine with that.
>
> The following entry in autoconf 2.62's changelog caught my eye:
> ** AC_INIT no longer alters $@; regression introduced in 2.60.
>
> So we might need to bump all the way up to 2.62, at least for releases.
>
> If we can get away with requiring 2.60+ for general dev work, and
> require 2.62 for official releases, that seems like a perfectly
> acceptable move at this point in the Subversion 1.6 release cycle.

construct-rolling-environment.sh already uses autoconf-2.62.

-- 
Arfrever Frehtes Taifersar Arahesis

Received on 2008-05-08 15:32:48 CEST

This is an archived mail posted to the Subversion Dev mailing list.